package ACIS::Web::CGI::Untaint::latinname;

use strict;
use vars qw($VERSION);
$VERSION = '0.01';

use base qw(CGI::Untaint::printable);

sub is_valid {
  my $self = shift;
  my $val  = $self -> value;
  $val =~ s/[^a-z]//gi;
  
  return ( length( $val ) >= 2 );
}

1;
